Okta Admin Management API
/Users
/- List all refresh tokens for a client
User OAuth 2.0 Token Management
Revoke all refresh tokens for a client
Retrieve a refresh token for a client
Revoke a token for a client
List all refresh tokens f...
CORS
OAuth 2.0 scope:
- okta.users.read
Lists all refresh tokens issued for the specified user and client
The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination.
- https://subdomain.okta.comhttps://subdomain.okta.com/api/v1/users/{userId}/clients/{clientId}/tokens
curl -i -X GET \
'https://subdomain.okta.com/api/v1/users/00ub0oNGTSWTBKOLGLNR/clients/52Uy4BUWVBOjFItcg2jWsmnd83Ad8dD/tokens?expand=scope&after=string&limit=20'Success
Array []
Timestamp when the object was created
Example:"2017-03-28T01:11:10.000Z"
The complete URL of the authorization server that issued the Token
Example:"https://{yourOktaDomain}/oauth2/ausain6z9zIedDCxB0h7"
Timestamp when the object was last updated
The embedded resources related to the object if the expand query parameter is specified
Specifies link relations (see Web Linking) available using the JSON Hypertext Application Language specification. This object is used for dynamic discovery of related resources and lifecycle operations.
Response
[ { "clientId": "string", "created": "2017-03-28T01:11:10.000Z", "expiresAt": "2019-08-24T14:15:22Z", "id": "oar579Mcp7OUsNTlo0g3", "issuer": "https://{yourOktaDomain}/oauth2/ausain6z9zIedDCxB0h7", "lastUpdated": "2019-08-24T14:15:22Z", "scopes": [ … ], "status": "ACTIVE", "userId": "00u5t60iloOHN9pBi0h7", "_embedded": { … }, "_links": { … } } ]